Loading...
Searching...
No Matches
fmat_t Struct Reference

Buffer for real data. More...

`#include <fmat.h>`

## Data Fields

uint_t | length
| length of matrix
uint_t | height
| height of matrix
smpl_t ** | data
| data array of size [length] * [height]

## Detailed Description

Buffer for real data.

Examples
  io/test-sink.c, io/test-source.c, spectral/test-filterbank.c, spectral/test-filterbank_mel.c, and test-fmat.c.

Definition at line 40 of file fmat.h.

## Field Documentation

## data

smpl_t** fmat_t::data

data array of size [length] * [height]

Examples
  test-fmat.c.

Definition at line 43 of file fmat.h.

## height

uint_t fmat_t::height

height of matrix

Examples
  test-fmat.c.

Definition at line 42 of file fmat.h.

## length

uint_t fmat_t::length

length of matrix

Examples
  test-fmat.c.

Definition at line 41 of file fmat.h.

The documentation for this struct was generated from the following file:

- fmat.h